/* Special class on .container surrounding .navbar, used for positioning it into place. */
.navbar-wrapper
{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 10;
    margin-top: 20px;
    margin-bottom: -90px; /* Negative margin to pull up carousel. 90px is roughly margins and height of navbar. */
}

/* Allow space for main content */
.navbar {
    position: relative;
    margin-bottom: 0px;
}

/* Remove border and change up box shadow for more contrast */
.navbar .navbar-inner
{
    /*border: 0;*/
    padding-left: 2em;
    -webkit-box-shadow: 0 2px 10px rgba(0,0,0,.25);
    -moz-box-shadow: 0 2px 10px rgba(0,0,0,.25);
    box-shadow: 0 2px 10px rgba(0,0,0,.25);
}

/* Downsize the brand/project name a bit */
.navbar .brand
{
    padding: 14px 20px 16px; /* Increase vertical padding to match navbar links */
    font-size: 16px;
    font-weight: bold;
    text-shadow: 0 -1px 0 rgba(0,0,0,.5);
}

.navbar-brand {
    margin-right: 0;
}

/* Navbar links: increase padding for taller navbar */
.navbar .nav > li > a
{
    padding: 15px 20px;
    color: #C7C4C4 !important;
}

/* Offset the responsive button for proper vertical alignment */
.navbar .btn-navbar
{
    margin-top: 10px;
}
.navbar-text > a
{
    color: inherit;
    text-decoration: none;
}

.navbar .highlight
{
    background-color: #5cb85c;
}

.navbar .highlight a
{
    color: #fff !important;
}

.navbar .highlight:hover
{
    background-color: #369536 !important;
    color: #369536;
}

/* Increases menu drop-down button size */
.navbar button.navbar-toggler {
    font-size: 1.5rem;
}

/* Overrides bootstrap CSS to remove dotted border */
.navbar button.navbar-toggler:focus, .navbar button.navbar-toggler:active,
.navbar button.navbar-toggler {
    border: none !important;
    outline: none !important;
}


@media screen and (max-width: 990px) {
    .py-4 {
        padding: 0.5rem 0.5rem !important;
    }
}

@media screen and (max-width: 325px) {
    .navbar a img {
        width: 40px;
        height: 40px;
    }

    /* bootstrap put a span inside another span??*/
    .navbar a h1 span span {
        font-size: 1.25rem !important;
    }
}

